package com.ruoyi.common.enums;

import lombok.Data;

/**
 * 伴宠师认证状态
 */
public enum StaffAuthenticateStatusEnum {

    BEGIN(0, "未开始"),
    BASIC_EXAM_PASSED(1, "通过基础考核"),
    BASIC_EXAM_FAILED(2, "考核失败"),
    TRAIN_EXAM_AUDITING(3, "培训考核审核中"),
    TRAIN_EXAM_PASSED(4, "培训考核审核通过"),
    TRAIN_EXAM_FAILED(5, "培训考核审核失败");

    StaffAuthenticateStatusEnum(Integer key, String value){
        this.key = key;
        this.value = value;
    }

    private final Integer key;

    private final String value;

    public Integer getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }
}
